sigmlgen

## Class SiGMLChildNodesProcessor

- java.lang.Object
- - sigmlgen.SiGMLChildNodesProcessor

-     public class SiGMLChildNodesProcessor
      extends java.lang.Object

  Support class for the `SiGMLDocToGSiGMLSigns` class, allowing the apppropriate sequence of gestural SiGML signs to be generated from the child nodes of a SiGML document element, taking into account any occurrences of either `<signing_ref>` or `<player_settings>` elements among these children.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLChildNodesProcessor(HNSSignElementToHNS hstoh, HNSToHML htoh, HMLToSiGML htos, XmlElementTextGen xtgen, java.net.URI base, org.w3c.dom.Document sigmldoc, org.w3c.dom.NodeList childnodes)` Constructs a new processor for a SiGML document's child nodes, using the given standard repertoire of converters, the document's base URI, its DOM node, and its child node list.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GSiGMLSign[]` | `getSigns()` Returns the array of signs generated by this processor, which may be empty in case of error.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLChildNodesProcessor

          public SiGMLChildNodesProcessor(HNSSignElementToHNS hstoh,
                                          HNSToHML htoh,
                                          HMLToSiGML htos,
                                          XmlElementTextGen xtgen,
                                          java.net.URI base,
                                          org.w3c.dom.Document sigmldoc,
                                          org.w3c.dom.NodeList childnodes)

      Constructs a new processor for a SiGML document's child nodes, using the given standard repertoire of converters, the document's base URI, its DOM node, and its child node list.

  - ### Method Detail

    - #### getSigns

          public GSiGMLSign[] getSigns()

      Returns the array of signs generated by this processor, which may be empty in case of error.